Subject: Re: bug#21364: [PATCH] Add vc-activate (interactive) to activate VC mode on the current buffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Sep 2015 23:45:16 -0400

>> > Ok. The attached patch is updated to do just that. The only thing I
>> > noticed was that after aliasing, vc-find-file-hook shows up in M-x since
>> > the new function is interactive.

Actually, now I remember that in Emacs-25, M-x's completion was changed
to skip obsolete commands, so I installed your patch with
define-obsolete-function-alias.
Thank you.

BTW, I could still accept this patch as a tiny change, but it's already
the second one, so you should consider signing the copyright paperwork
before the next occasion.

        Stefan